"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaxType = exports.BillingSource = exports.CycleType = exports.DurationUnit = exports.SourceType = exports.DiscountType = exports.SaleType = void 0;
var SaleType;
(function (SaleType) {
    /** Default value, can be used when no specific sale is associated. */
    SaleType["SALE_TYPE_UNSPECIFIED"] = "SALE_TYPE_UNSPECIFIED";
    SaleType["CYBER_MONDAY"] = "CYBER_MONDAY";
    SaleType["NOVEMBER_SALE"] = "NOVEMBER_SALE";
    SaleType["BLACK_FRIDAY"] = "BLACK_FRIDAY";
    SaleType["DEVELOPER_SALE"] = "DEVELOPER_SALE";
})(SaleType || (exports.SaleType = SaleType = {}));
var DiscountType;
(function (DiscountType) {
    DiscountType["DISCOUNT_TYPE_UNSPECIFIED"] = "DISCOUNT_TYPE_UNSPECIFIED";
    /** Discount is a fixed amount in USD. */
    DiscountType["FIXED_AMOUNT"] = "FIXED_AMOUNT";
    /** Discount is a percentage of the total price. */
    DiscountType["PERCENTAGE"] = "PERCENTAGE";
})(DiscountType || (exports.DiscountType = DiscountType = {}));
var SourceType;
(function (SourceType) {
    /** Default value, can be used when no specific source is associated. */
    SourceType["SOURCE_TYPE_UNSPECIFIED"] = "SOURCE_TYPE_UNSPECIFIED";
    /** Discount is due to Wix/Developer Sale */
    SourceType["SALE"] = "SALE";
    /** Discount is due to App Benefit */
    SourceType["APP_BENEFIT"] = "APP_BENEFIT";
})(SourceType || (exports.SourceType = SourceType = {}));
var DurationUnit;
(function (DurationUnit) {
    /** unknown interval unit */
    DurationUnit["UNKNOWN_UNIT"] = "UNKNOWN_UNIT";
    /** month */
    DurationUnit["MONTH"] = "MONTH";
    /** year */
    DurationUnit["YEAR"] = "YEAR";
})(DurationUnit || (exports.DurationUnit = DurationUnit = {}));
var CycleType;
(function (CycleType) {
    CycleType["UNKNOWN_TYPE"] = "UNKNOWN_TYPE";
    CycleType["ONE_TIME"] = "ONE_TIME";
    CycleType["RECURRING"] = "RECURRING";
})(CycleType || (exports.CycleType = CycleType = {}));
var BillingSource;
(function (BillingSource) {
    BillingSource["UNKNOWN"] = "UNKNOWN";
    /** plan billing and charges is managed by Wix */
    BillingSource["WIX"] = "WIX";
    /** plan billing and charges is managed by the app */
    BillingSource["EXTERNAL"] = "EXTERNAL";
})(BillingSource || (exports.BillingSource = BillingSource = {}));
var TaxType;
(function (TaxType) {
    TaxType["NOT_APPLICABLE"] = "NOT_APPLICABLE";
    TaxType["VAT"] = "VAT";
    TaxType["GST"] = "GST";
})(TaxType || (exports.TaxType = TaxType = {}));
//# sourceMappingURL=appmarket-v1-app-plans-app-plans.types.js.map